Bug 497123 - Default route cannot be set through the vpn through NetworkManager
Default route cannot be set through the vpn through NetworkManager
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager-openvpn (Show other bugs)
10
All Linux
low Severity high
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-22 09:18 EDT by John Southworth
Modified: 2009-12-18 04:19 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:19:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Southworth 2009-04-22 09:18:34 EDT
Description of problem:
When attempting to use the openvpn as the default route for traffic, the error:

Apr 22 08:01:22 janos-wks NetworkManager: <WARN>  nm_system_replace_default_ip4_route_vpn(): (tun0): failed to set IPv4 default route (pass #2): -3

apperars in /var/log/messages and no route is set to the vpn (not even a connected route).

with the vpn connected (172.22.13.0/24 is the vpn subnet):
[root@janos-wks ~]# ip r
75.131.70.10 via 172.22.20.1 dev eth0  proto static 
172.22.20.0/24 dev eth0  proto kernel  scope link  src 172.22.20.40  metric 1 
192.168.122.0/24 dev virbr0  proto kernel  scope link  src 192.168.122.1 
default via 172.22.20.1 dev eth0  proto static

The routes can be set manually, using route add after connecting.

interestingly enough if you push static routes in the openvpn server these work fine.
With a pushed route and the vpn connected:
[root@janos-wks ~]# ip r
75.131.70.10 via 172.22.20.1 dev eth0  proto static 
172.22.13.1 dev tun0  proto static  scope link 
172.22.20.0/24 via 172.22.13.1 dev tun0  proto static 
172.22.20.0/24 dev eth0  proto kernel  scope link  src 172.22.20.40  metric 1 
172.22.42.0/24 via 172.22.13.1 dev tun0  proto static 
192.168.122.0/24 dev virbr0  proto kernel  scope link  src 192.168.122.1 
default via 172.22.13.1 dev tun0  proto static 

Unfortunately a pushed route does not accomplish our needs for the vpn (too many networks to push).

Version-Release number of selected component (if applicable):
NetworkManager-0.7.0.99-5.git20090326.fc10.x86_64
NetworkManager-glib-0.7.0.99-5.git20090326.fc10.x86_64
NetworkManager-openvpn-0.7.0.99-1.fc10.x86_64
NetworkManager-gnome-0.7.0.99-5.git20090326.fc10.x86_64


How reproducible:
Everytime, on multiple Fedora 10 computers (at this version, the previous version of NetworkManager still works fine)

Steps to Reproduce:
1. Create an openvpn connection to the server in networkmanager
2. Set the openvpn server to --push redirect-gateway
3. Connect
or
1. Create an openvpn connection to the server in networkmanager
2. Set the openvpn client to "ignore obtained routes" (client side option that redirects the gateway)
3. Connect
  
Actual results:
No routes defined after a successful vpn connection.

Expected results:
a redirected default gateway so that all traffic goes through the vpn.

Additional info:
Comment 1 Bug Zapper 2009-11-18 05:00:26 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 04:19:10 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.